Subject: Re: [PATCH] ci: add job for gcc-4.8 to GitHub Actions

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Aug 2021 12:36:08 -0700

SZEDER Gábor <[email-masked]> writes:

>> IMHO it may be more trouble than it's worth. If we can't find a compiler
>> that complains on this construct, then maybe it is not a construct worth
>> worrying too much about.

Absolutely.  Of course, there are vendor compilers that are not GNU
or clang that may throw us surprises ;-)

> I for one like for loop initial declarations, because they allow us to
> limit the scope of the loop variable to the loop, and would love to
> see it used in more places (well, wherever possible, actually, but
> that'd be a lot of churn).  So I would prefer to just drop this job
> sooner rather than later, update CodingGuidelines, and, if deemed
> necessary, launch a weather balloon.

I'd agree in general, but it must be done in a bit different order,
i.e. weather balloon first.